package com.jpattern.orm.query.clause;

import com.jpattern.orm.query.IQueryRoot;

/**
 * Basic interface for all sql clauses (select, from, where...)
 * 
 * @author Francesco Cina'
 *
 * Mar 31, 2012
 */
public interface SqlClauseRoot<T extends IQueryRoot> {

	/**
	 * Return the current query object
	 * @return
	 */
	T query();

}
